## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         reponame    oci-python-sdk
%global         srcname     oci

Name:           python-%{srcname}
Version:        2.122.0
Release:        %autorelease
Summary:        Oracle Cloud Infrastructure SDK for Python

License:        UPL-1.0
URL:            https://github.com/oracle/oci-python-sdk
Source0:        %{url}/archive/v%{version}/%{reponame}-%{version}.tar.gz

# Upstream tries to import a non-existent 'vcr_mods' module.
# https://github.com/oracle/oci-python-sdk/pull/253
Patch0:         https://patch-diff.githubusercontent.com/raw/oracle/oci-python-sdk/pull/253.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(vcrpy)
%endif

%global _description %{expand:
This is the Python SDK for Oracle Cloud Infrastructure. }

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{reponame}-%{version} -p1

# Remove upper version limit on cryptography.
sed -i 's/cryptography>=3.2.1,<40.0.0/cryptography>=3.2.1/' setup.py

# Allow newer circuitbreaker.
sed -i 's/circuitbreaker>=1.3.1,< 2.0.0/circuitbreaker>=1.3.0/' setup.py
sed -i 's/circuitbreaker>=1.3.1,<2.0.0/circuitbreaker>=1.3.0/' requirements.txt

# Compatibility with pytest 7.4.0
# reported upstream: https://github.com/oracle/oci-python-sdk/issues/565
sed -i 's/--config-file/--config-file-path/' tests/conftest.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pyproject_check_import

%if %{with tests}
%pytest tests/autogentest tests/unit tests/integ
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt THIRD_PARTY_LICENSES.txt THIRD_PARTY_LICENSES_DEV.txt
%doc CHANGELOG.rst CONTRIBUTING.rst README.rst README-development.rst


%changelog
## START: Generated by rpmautospec
* Mon Feb 26 2024 Major Hayden <major@redhat.com> - 2.122.0-1
- Update to 2.122.0 rhbz#2264058

* Tue Feb 13 2024 Packit <hello@packit.dev> - 2.121.1-1
- [packit] 2.121.1 upstream release
- Resolves rhbz#2264058

* Tue Feb 06 2024 Packit <hello@packit.dev> - 2.121.0-1
- [packit] 2.121.0 upstream release
- Resolves rhbz#2263009

* Wed Jan 31 2024 Packit <hello@packit.dev> - 2.120.0-1
- [packit] 2.120.0 upstream release
- Resolves rhbz#2262066

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.119.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 24 2024 Major Hayden <major@redhat.com> - 2.119.1-1
- Update ot 2.119.1

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.119.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Packit <hello@packit.dev> - 2.119.0-1
- [packit] 2.119.0 upstream release
- Resolves rhbz#2258605

* Wed Jan 10 2024 Major Hayden <major@redhat.com> - 2.118.2-1
- Revert "Revert to 2.118.1 temporarily"

* Wed Jan 10 2024 Major Hayden <major@redhat.com> - 2.118.1-1
- Revert to 2.118.1 temporarily

* Wed Jan 10 2024 Packit <hello@packit.dev> - 2.118.2-1
- [packit] 2.118.2 upstream release
- Resolves rhbz#2257701

* Wed Dec 13 2023 Packit <hello@packit.dev> - 2.118.0-1
- [packit] 2.118.0 upstream release
- Resolves rhbz#2254285

* Wed Dec 06 2023 Packit <hello@packit.dev> - 2.117.0-1
- [packit] 2.117.0 upstream release
- Resolves rhbz#2253101

* Tue Nov 14 2023 Packit <hello@packit.dev> - 2.116.0-1
- [packit] 2.116.0 upstream release
- Resolves rhbz#2249656

* Tue Nov 07 2023 Packit <hello@packit.dev> - 2.115.1-1
- [packit] 2.115.1 upstream release
- Resolves rhbz#2248531

* Wed Nov 01 2023 Packit <hello@packit.dev> - 2.115.0-1
- [packit] 2.115.0 upstream release
- Resolves rhbz#2247457

* Wed Oct 25 2023 Major Hayden <major@redhat.com> - 2.114.0-1
- Update to 2.114.0 rhbz#2246033

* Thu Oct 19 2023 Major Hayden <major@redhat.com> - 2.113.0-1
- Update to 2.113.0

* Wed Oct 11 2023 Packit <hello@packit.dev> - 2.112.4-1
- [packit] 2.112.4 upstream release

* Tue Oct 03 2023 Packit <hello@packit.dev> - 2.112.3-1
- [packit] 2.112.3 upstream release

* Thu Sep 14 2023 Packit <hello@packit.dev> - 2.112.1-1
- [packit] 2.112.1 upstream release

* Wed Sep 06 2023 Packit <hello@packit.dev> - 2.112.0-1
- [packit] 2.112.0 upstream release

* Wed Aug 30 2023 Packit <hello@packit.dev> - 2.111.0-1
- [packit] 2.111.0 upstream release

* Wed Aug 23 2023 Packit <hello@packit.dev> - 2.110.2-1
- [packit] 2.110.2 upstream release

* Wed Aug 16 2023 Major Hayden <major@redhat.com> - 2.110.1-1
- Update to 2.110.1

* Thu Aug 10 2023 Packit <hello@packit.dev> - 2.110.0-1
- [packit] 2.110.0 upstream release

* Wed Aug 09 2023 Lumir Balhar <lbalhar@redhat.com> - 2.109.0-2
- Fix compatibility with pytest 7.4.0

* Wed Aug 02 2023 Packit <hello@packit.dev> - 2.109.0-1
- [packit] 2.109.0 upstream release

* Tue Jul 25 2023 Packit <hello@packit.dev> - 2.108.0-1
- [packit] 2.108.0 upstream release

* Tue Jul 25 2023 Major Hayden <major@redhat.com> - 2.107.0-3
- Allow newer version of circuitbreaker

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.107.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 19 2023 Packit <hello@packit.dev> - 2.107.0-1
- [packit] 2.107.0 upstream release

* Thu Jul 13 2023 Major Hayden <major@redhat.com> - 2.106.0-2
- Don't auto build package using packit

* Wed Jul 12 2023 Packit <hello@packit.dev> - 2.106.0-1
- [packit] 2.106.0 upstream release

* Wed Jul 12 2023 Major Hayden <major@redhat.com> - 2.105.0-4
- Update tag template for packit

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 2.105.0-3
- Add packit file

* Sat Jul 01 2023 Python Maint <python-maint@redhat.com> - 2.105.0-2
- Rebuilt for Python 3.12

* Wed Jun 28 2023 Major Hayden <major@redhat.com> - 2.105.0-1
- Update to 2.105.0 rhbz#2216390

* Fri Jun 16 2023 Major Hayden <major@redhat.com> - 2.104.2-1
- Update to 2.104.2 rhbz#2214950

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 2.104.1-1
- Update to 2.104.1 rhbz#2213344

* Tue May 30 2023 Major Hayden <major@redhat.com> - 2.104.0-1
- Update to 2.104.0 rhbz#2211216

* Tue May 23 2023 Major Hayden <major@redhat.com> - 2.103.0-1
- Update to 2.103.0 rhbz#2209390

* Mon May 22 2023 Major Hayden <major@redhat.com> - 2.102.0-2
- Remove cryptography upper limit

* Tue May 16 2023 Major Hayden <major@redhat.com> - 2.102.0-1
- Update to 2.102.0

* Thu May 11 2023 Major Hayden <major@redhat.com> - 2.101.0-1
- Initial import rhbz#2190312
## END: Generated by rpmautospec
